Environment variables
curl --request GET \
--url https://sandbox.e2b.app/envs \
--header 'E2b-Sandbox-Id: <e2b-sandbox-id>' \
--header 'E2b-Sandbox-Port: <e2b-sandbox-port>' \
--header 'X-Access-Token: <api-key>'import requests
url = "https://sandbox.e2b.app/envs"
headers = {
"E2b-Sandbox-Id": "<e2b-sandbox-id>",
"E2b-Sandbox-Port": "<e2b-sandbox-port>",
"X-Access-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'E2b-Sandbox-Id': '<e2b-sandbox-id>',
'E2b-Sandbox-Port': '<e2b-sandbox-port>',
'X-Access-Token': '<api-key>'
}
};
fetch('https://sandbox.e2b.app/envs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}"missing header\n"{
"code": 401,
"message": "unauthorized access, please provide a valid access token or method signing if supported"
}"Unexpected error when routing request: invalid sandbox port\n"{
"sandboxId": "<string>",
"message": "<string>",
"code": 123
}Envd
Environment variables
GET
/
envs
Environment variables
Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Headers
Identifier of the target sandbox. Routes the request to that sandbox's envd over the shared sandbox host.
Port envd listens on inside the sandbox (default 49983).
Response
Environment variables
Environment variables for the sandbox
Was this page helpful?